#ifndef door_io_pragmas
#define door_io_pragmas
#include "door_io_pragmas.h"
#endif
// initialisierung des interfaces 
// vor der init. darf keine der anderen 
// funktionen aufgerufen werden
// die hookfunktionen MSSEN mit __saveds (__geta4 ) deklariert sein
void BOX_start(	void (*clhook)(void),		//Hookfunktion, bei Carrier Loss
						void (*exthandler)(void),	//Hookfunktion, bei auftreten
															//eines signals in der extmask
						int extmask,					//selbige sigmask :)
						int metaon);					// "#" auswerten oder nicht ?

// abschalten des interfaces
// danach keine anderen funktionen aufrufen !
void BOX_stop(void);

// text ausgeben (mit metazeichenexpander !)
void BOX_print(char *text);

// string einlesen 
// wenn die angegebene signalmaske zutrifft,
// wird die hookfunktion aufgerufen
// falls carrierloss stattfindet, wird die passende hookfunktion
// aufgerufen. danach box_stop, alles abspeichern und programm beenden !
void BOX_getstr(char *text);


//verndern der signalmaske des Wait() in BOX_getstr ()
void BOX_setmask(int extmask);
